cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "paul cannon (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CASSANDRA-2803) Cassandra deb should depend on libjna-java
Date Tue, 21 Jun 2011 17:35:50 GMT

     [ https://issues.apache.org/jira/browse/CASSANDRA-2803?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

paul cannon updated CASSANDRA-2803:
-----------------------------------

    Attachment: 2803.txt

> Cassandra deb should depend on libjna-java
> ------------------------------------------
>
>                 Key: CASSANDRA-2803
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-2803
>             Project: Cassandra
>          Issue Type: Improvement
>          Components: Packaging
>            Reporter: paul cannon
>            Priority: Minor
>         Attachments: 2803.txt
>
>
> Cassandra debs (0.7, 0.8, trunk) currently include a Recommends: for libjna-java, the
package that includes the JNA jar. The original reason for the Recommends: instead of Depends:
was that it's technically possible to run without JNA.
> However, since (a) I know of no reason not to use JNA, and (b) the Cassandra RPMs already
require JNA, let us change this Recommends: to Depends: for all future debs.
> I don't believe this affects the licensing issues which stopped us from bundling JNA
with cassandra directly.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message